pipeline:
  create-book:
    image: peaceiris/mdbook:v0.4.30
    commands:
      - mdbook build

  publish-container:
    image: woodpeckerci/plugin-docker-buildx:2.1.0
    secrets: [docker_username, docker_password]
    group: docker
    settings:
      registry: https://git.sandbox.iuk.hdm-stuttgart.de
      repo: git.sandbox.iuk.hdm-stuttgart.de/grosse/sandbox-docs-public
      dockerfile: Dockerfile
      tags: latest

branches:
  exclude: cspecht
